Bug 237705 - Review Request: xclip - Command line clipboard grabber
Review Request: xclip - Command line clipboard grabber
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-04-24 17:06 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-25 16:51:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora‑review+
wtogami: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-04-24 17:06:19 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/xclip.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/xclip-0.08-1.fc7.src.rpm
xclip is a command line utility that is designed to run on any system with an
X11 implementation. It provides an interface to X selections ("the clipboard")
from the command line. It can read data from standard in or a file and place it
in an X selection for pasting into other X applications. xclip can also print
an X selection to standard out, which can then be redirected to a file or
another program.
Comment 1 Nigel Jones 2007-04-24 18:47:28 EDT
I'll take a look, although I can't test a build in mock sorry.
Comment 2 Nigel Jones 2007-04-24 19:05:46 EDT
Package name:             OK (xclip)
License:                  OK (GPL)
Spec Legible:             OK (en_US)
md5sum matches:           OK (a90bde3fb0da6aad3a6042c4867245c6)
rpmlint clean:            OK
Builds correctly:         OK (i386)
Spec has %clean:          OK
Macro use consistant:     OK
Contains code/content:    OK
-doc subpackage:          NA
-devel subpackage:        NA
-static subpackage:       NA
pkgconfig depend:         NA
Contains %doc:            OK (COPYING README)
Library suffix:           NA
No .la files:             NA
Use desktop-file-install: NA
No duplicate ownerships:  OK
rm -rf %{buildroot}:      OK
RPM uses valid UTF-8:     OK
%defattr is set:          OK
No duplicate %files:      OK
Not relocatable:          OK
Calls ldconfig:           NA
Supports Locales:         NA
BR's are correct:         OK

Everything else seems fine, but I could not test in mock.

None the less:  APPROVED
Comment 3 manuel wolfshant 2007-04-24 19:10:14 EDT
Package Review

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Rpmlint output: empty on source, binary, debug rpm
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the  Packaging Guidelines.
 [x] Package is licensed with an open-source compatible license and meet other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPL
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is written in American English.
 [x] Spec file for the package is legible.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package    : 2b20daab0523a2b4b2cab1f24887481556eadb8b
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded: -
     Why: -
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] Package does not own files or directories owned by other packages.

 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
     Tested on:devel/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.
 [x] Latest version is packaged.

=== Issues ===
1. SMP_flags are not taken into account

Tom, please update the spec to honor SMP flags before uploading to CVS.
Comment 4 Tom "spot" Callaway 2007-04-25 12:00:24 EDT
New Package CVS Request
Package Name: xclip
Short Description: Command line clipboard grabber
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6
Comment 5 Tom "spot" Callaway 2007-04-25 16:51:42 EDT
Built, thanks.

Note You need to log in before you can comment on or make changes to this bug.